Bug 1369224 - Review Request: jackson-modules-base - Jackson modules: Base
Summary: Review Request: jackson-modules-base - Jackson modules: Base
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1349478 1371325 1371326
TreeView+ depends on / blocked
 
Reported: 2016-08-22 17:26 UTC by gil cattaneo
Modified: 2016-09-25 20:56 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-09-25 20:56:16 UTC
akurtako: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2016-08-22 17:26:16 UTC
Spec URL: https://gil.fedorapeople.org/jackson-modules-base.spec
SRPM URL: https://gil.fedorapeople.org/jackson-modules-base-2.7.6-1.fc24.src.rpm
Description: Jackson "base" modules: modules that build directly on databind,
and are not datatype, data format, or JAX-RS provider modules.
Fedora Account System Username: gil

Comment 1 gil cattaneo 2016-08-22 19:33:15 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15340685

Comment 2 Alexander Kurtakov 2016-08-23 07:45:00 UTC
I'll do this one.

Comment 3 Alexander Kurtakov 2016-08-23 09:03:19 UTC
Most (all?) source files are missing license header. Please work with upstream to fix that.

Comment 7 gil cattaneo 2016-09-09 17:30:29 UTC
@Alexander This is the upstream reply to the my request [1] to add license headers: "I thought I have made it clear that we are not going to add license headers into source files. So there will be no progress. If you absolutely must have headers, I would suggest post-processing of packaged sources."

is possible, for you, continue with the review?

[1] https://github.com/FasterXML/jackson-modules-base/issues/18

Comment 8 Alexander Kurtakov 2016-09-19 11:12:41 UTC
Latest comment from https://github.com/FasterXML/jackson-modules-base/issues/18 is good to continue work. Will do full review now.

Comment 9 Alexander Kurtakov 2016-09-19 12:18:53 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
    Lisence headers are missing in source files but this is project decision and is stated in https://github.com/FasterXML/jackson-modules-base/issues/18 by upstream developers
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 13 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jackson-modules-base-2.7.6-1.fc26.noarch.rpm
          jackson-module-afterburner-2.7.6-1.fc26.noarch.rpm
          jackson-module-guice-2.7.6-1.fc26.noarch.rpm
          jackson-module-mrbean-2.7.6-1.fc26.noarch.rpm
          jackson-module-osgi-2.7.6-1.fc26.noarch.rpm
          jackson-module-paranamer-2.7.6-1.fc26.noarch.rpm
          jackson-modules-base-javadoc-2.7.6-1.fc26.noarch.rpm
          jackson-modules-base-2.7.6-1.fc26.src.rpm
jackson-modules-base.noarch: W: spelling-error %description -l en_US databind -> data bind, data-bind, database
jackson-module-afterburner.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
jackson-module-afterburner.noarch: E: description-line-too-long C Jackson extension module used to enhance performance using bytecode generation to
jackson-module-osgi.noarch: W: spelling-error Summary(en_US) deserialized -> serialized, materialized, editorialized
jackson-module-osgi.noarch: W: spelling-error %description -l en_US deserialized -> serialized, materialized, editorialized
jackson-modules-base.src: W: spelling-error %description -l en_US databind -> data bind, data-bind, database
8 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
jackson-module-osgi.noarch: W: spelling-error Summary(en_US) deserialized -> serialized, materialized, editorialized
jackson-module-osgi.noarch: W: spelling-error %description -l en_US deserialized -> serialized, materialized, editorialized
jackson-module-afterburner.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
jackson-module-afterburner.noarch: E: description-line-too-long C Jackson extension module used to enhance performance using bytecode generation to
jackson-modules-base.noarch: W: spelling-error %description -l en_US databind -> data bind, data-bind, database
7 packages and 0 specfiles checked; 1 errors, 4 warnings.



Requires
--------
jackson-module-mrbean (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.fasterxml.jackson.core:jackson-core)
    mvn(com.fasterxml.jackson.core:jackson-databind)
    mvn(org.ow2.asm:asm)

jackson-modules-base-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

jackson-module-osgi (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.fasterxml.jackson.core:jackson-databind)
    mvn(org.eclipse.osgi:org.eclipse.osgi)

jackson-module-afterburner (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.fasterxml.jackson.core:jackson-core)
    mvn(com.fasterxml.jackson.core:jackson-databind)
    mvn(org.ow2.asm:asm)

jackson-module-guice (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.fasterxml.jackson.core:jackson-annotations)
    mvn(com.fasterxml.jackson.core:jackson-core)
    mvn(com.fasterxml.jackson.core:jackson-databind)
    mvn(com.google.inject:guice)

jackson-modules-base (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.fasterxml.jackson:jackson-parent:pom:)

jackson-module-paranamer (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.fasterxml.jackson.core:jackson-databind)
    mvn(com.thoughtworks.paranamer:paranamer)



Provides
--------
jackson-module-mrbean:
    jackson-module-mrbean
    mvn(com.fasterxml.jackson.module:jackson-module-mrbean)
    mvn(com.fasterxml.jackson.module:jackson-module-mrbean:pom:)
    osgi(com.fasterxml.jackson.module.jackson-module-mrbean)

jackson-modules-base-javadoc:
    jackson-modules-base-javadoc

jackson-module-osgi:
    jackson-module-osgi
    mvn(com.fasterxml.jackson.module:jackson-module-osgi)
    mvn(com.fasterxml.jackson.module:jackson-module-osgi:pom:)
    osgi(com.fasterxml.jackson.module.jackson-module-osgi)

jackson-module-afterburner:
    jackson-module-afterburner
    mvn(com.fasterxml.jackson.module:jackson-module-afterburner)
    mvn(com.fasterxml.jackson.module:jackson-module-afterburner:pom:)
    osgi(com.fasterxml.jackson.module.jackson-module-afterburner)

jackson-module-guice:
    jackson-module-guice
    mvn(com.fasterxml.jackson.module:jackson-module-guice)
    mvn(com.fasterxml.jackson.module:jackson-module-guice:pom:)
    osgi(com.fasterxml.jackson.module.jackson-module-guice)

jackson-modules-base:
    jackson-modules-base
    mvn(com.fasterxml.jackson.module:jackson-modules-base:pom:)

jackson-module-paranamer:
    jackson-module-paranamer
    mvn(com.fasterxml.jackson.module:jackson-module-paranamer)
    mvn(com.fasterxml.jackson.module:jackson-module-paranamer:pom:)
    osgi(com.fasterxml.jackson.module.jackson-module-paranamer)



Source checksums
----------------
https://github.com/FasterXML/jackson-modules-base/archive/jackson-modules-base-2.7.6.tar.gz :
  CHECKSUM(SHA256) this package     : dd3d6b6cb7a0d767fea6e1586b8ebd5806779934744095c738413ca80defaac8
  CHECKSUM(SHA256) upstream package : dd3d6b6cb7a0d767fea6e1586b8ebd5806779934744095c738413ca80defaac8


Package is APPROVED.

Comment 10 gil cattaneo 2016-09-19 12:31:07 UTC
Thanks for the review!

create new SCM request/s:
https://admin.fedoraproject.org/pkgdb/package/requests/7858
https://admin.fedoraproject.org/pkgdb/package/requests/7859

Comment 11 Gwyn Ciesla 2016-09-19 12:57:35 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/jackson-modules-base

Comment 12 Fedora Update System 2016-09-19 14:00:16 UTC
jackson-modules-base-2.7.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a2a9677a7c

Comment 13 Fedora Update System 2016-09-20 19:58:35 UTC
jackson-modules-base-2.7.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a2a9677a7c

Comment 14 Fedora Update System 2016-09-22 09:56:26 UTC
jackson-modules-base-2.7.6-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8cfed5403d

Comment 15 Fedora Update System 2016-09-25 20:56:16 UTC
jackson-modules-base-2.7.6-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.